# copyright (C) 1997-2000 Jean-Luc Fontaine (mailto:jfontain@free.fr)
# this program is free software: please read the COPYRIGHT file enclosed in this package or use the Help Copyright menu

set rcsId {$Id: font.tcl,v 1.6.1.3 2000/04/22 11:35:25 jfontain Exp $}

# Note: on UNIX, for best results, make sure your X Window server has the proper dots-per-inch setting for your screen
# (eventually correct it using the -dpi option of your X server, as I do on my Linux machine)

class font {
    catch {widget::widget}       ;# force widget class load for static data members visibility below, in case of package utilization

    set font::(mediumBold) [eval font create [font actual $widget::(default,ButtonFont)]]
    font configure $font::(mediumBold) -weight bold                                                          ;# force weight to bold
    set font::(mediumNormal) [eval font create [font actual $font::(mediumBold)]]
    font configure $font::(mediumNormal) -weight normal                                                    ;# force weight to normal
    set font::(mediumItalic) [eval font create [font actual $font::(mediumNormal)]]
    font configure $font::(mediumItalic) -slant italic                                                      ;# force slant to italic
    set font::(smallNormal) [eval font create [font actual $font::(mediumNormal)]]
    # small size is 80% of medium size
    font configure $font::(smallNormal) -size [expr {round(0.8*[font actual $font::(mediumNormal) -size])}]
}

